LAST(1)

NOMBRE
last, lastb - muestra los usuarios que han accedido al sistema

SINOPSIS

last [opciones] [usuario...] [tty...]

lastb [opciones] [usuario...] [tty...]

DESCRIPCIÓN

last analiza el contenido del fichero /var/log/wtmp (o el que se haya indicada mediante la opción -f) y muestra un listado con los usuarios conectados (y desconectados) desde la creación de dicho fichero. Es posible indicar uno o más nombres_de_usuario y/o ttys, en cuyo caso sólo se mostrarán las entradas que coincidan con éstos patrones. También cabe la posibilidad de abreviar los nombres de los ttys, por ejemplo last0 es lo mismo que last tty0.

When catching a SIGINT signal (generated by the interrupt key, usually control-C) or a SIGQUIT signal, last will show how far it has searched through the file; in the case of the SIGINT signal last will then terminate.

El pseudo-usuario reboot accede al sistema cada vez que se reinicia el equipo, por lo tanto last reboot mostrará una lista de todos los reinicios desde la creación del fichero.

lastb es idéntico a last salvo que analiza por defecto el fichero /var/log/btmp que muestra los intentos de acceso fallidos.

OPCIONES

-a, --hostlast
    Muestra el nombre del equipo en la última columna. Suele usarse en conjunción con la opción --dns.

-d, --dns
    Para el caso de accesos desde otros equipos, Linux no sólo guarda el nombre del equipo remoto sino también su dirección IP. Esta opción convierte esa dirección IP en un nombre de equipo.

-f, --file fichero
    Indica a last que debe usar el fichero indicado en lugar de /var/log/wtmp. Es posible indicar varios ficheros usando varias veces la opción --file, procesándose así todos los ficheros indicados.

-F, --fulltimes
    Muestra la fecha y hora de los accesos.

-i, --ip
    Igual que --dns, pero muestra la dirección IP del equipo en lugar de su nombre.

-cantidad; -n, --limit cantidad
    Indica a last el número de líneas que debe mostrar.

-p, --present fecha_y_hora
    Muestra los usuario conectados en la fecha y hora indicados. Coincide con el uso de --since y --until indicando en ambos la misma fecha_y_hora.

-R, --nohostname
    No muestra el campo con el nombre del equipo.

-s, --since fecha_y_hora
    Muestra la situación de los accesos a partir del la fecha_y_hora indicados. Esto suele ser útil para ver quien accedió al sistema en un instante determinado. Esta opción suele combinarse con --until.

-t, --until fecha_y_hora
    Muesta la situación de los accesos hasta la fecha_y_hora indicados.

--time-format formato
    Define el formato de fecha y hora que se mostrará. Puede ser notime, short, full o iso. La opción notime no mostrará ninguna información de este tipo, short es la opción por defecto y full es lo mismo que --fulltimes. La opción iso mostrará la fecha y hora en formato ISO-8601 que contiene información sobre la zona horaria resultando especialmente útil cuando se investigan accesos desde otros equipos.

-w, --fullnames
    Muestra el nombre de usuario completo y el nombre de dominio en la salida.

-x, --system
    Muestra las veces que se apagó un equipo y los cambios en los niveles de ejecución.

-h, --help
    Mostrar texto de ayuda y finalizar.

-V, --version
    Print version and exit.

FORMATOS DE FECHA Y HORA

El argumento fecha_y_hora puede expresarse en los siguientes formatos:
YYYYMMDDhhmmss |
YYYY-MM-DD hh:mm:ss |
YYYY-MM-DD hh:mm | (seconds will be set to 00)
YYYY-MM-DD | (time will be set to 00:00:00)
hh:mm:ss | (date will be set to today)
hh:mm | (date will be set to today, seconds to 00)
now |
yesterday | (time is set to 00:00:00)
today | (time is set to 00:00:00)
tomorrow | (time is set to 00:00:00)
+5min |
-5days |

FICHEROS

/var/log/wtmp, /var/log/btmp

NOTAS

Es posible que los ficheros wtmp y btmp no se encuentren en el equipo. Observe que el mismo sólo registrará información en estos ficheros si existen, esto sería un error en la configuración que se subsanaría simplemente creándolos con la orden touch(1), es decir ejecutando touch /var/log/wtmp.

An empty entry is a valid type of wtmp entry. It means that an empty file or file with zeros is not interpreted as an error.

The utmp file format uses fixed sizes of strings, which means that very long strings are impossible to store in the file and impossible to display by last. The usual limits are 32 bytes for a user and line name and 256 bytes for a hostname.

AUTORES

VÉASE TAMBIÉN

login(1), wtmp(5), init(8), shutdown(8)

INFORMAR DE ERRORES

For bug reports, use the issue tracker at

DISPONIBILIDAD

La orden last forma parte del paquete util-linux, el cual puededescargarse de